.back_ground_color_1 {
  border-radius: 8px;
  background-color: rgb(248, 248, 248);
}

.margin_top_start {
  margin-top: 130px;
}

.text_color_style {
  color: #4dc247;
}

.text_para {
  margin-bottom: 16px;
}

.typo_h4 {
  font-size: 16px;
  font-family: Poppins;
  font-weight: 400;
  line-height: 1.235;
  letter-spacing: 0.00735em;
}

.color_text_type {
  color: #6e6e6e;
}

.type_body1 {
  font-size: 14px;
  font-family: Roboto;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.00938em;
}

.normal_text {
  color: grey;
  font-size: 14px;
  margin-top: -10px;
}

.Link_button {
  background-color: #33e2a0;
  color: #fff;
  padding: 10px 20px;
  border-radius: 30px;
  margin-top: 25px !important;
}

.copy_url {
  background-color: #4dc247;
  color: white;
  border-color: #4dc247;
}

.Link_button:hover {
  background-color: #33e2a0;
  color: white;
}

.Whastapp_icon_style {
  height: 52px;
  width: 52px;
}

.color_text_green_link {
  color: #4dc247;
  font-size: 20px;
}

.qr_text {
  color: grey;
  font-size: 15px;
  margin-top: 2px;
}

.href_design {
  text-decoration: none;
}

.generate_qr {
  height: 200px;
  width: 200px;
}

.form-select {
  display: block;
  width: 100%;
  padding: 7px 28px;
  font-size: 1rem;
  font-weight: 400;
  line-height: 2.5;
  color: #212529;
  background-color: #fff;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 16px 12px;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.preview_left_side {
  flex: 1;
  padding: 10px;
  background-color: #f0f0f0;
  color: black;
}

.fa-android,
.fa-apple {
  color: black;
}

.icons_right_side {
  display: flex;
  gap: 10px;
}

.tab {
  padding: 10px;
  background-color: #e0e0e0;
  cursor: pointer;
}

.content {
  display: none;
  text-align: center;
  margin-top: 20px;
}

.content.active {
  display: block;
}

.Device_height {
  height: 25px;
}

/* .preview_height {
    height: auto;
} */

/* preview details */
.preview_phone_number {
  position: absolute;
  top: 7.9%; 
  left: 40%; 
  color: white;
}

.color_background {
  background-color: transparent;
  padding: 0px 12px;
  border-radius: 10px;
  width: 70%;
  position: absolute;
  bottom: 251px;
  color: black;
  text-align: justify;
  right: 35px;
  line-height: 23px;
  letter-spacing: 0px;
  font-size: 15px;
  overflow-y: auto;
  max-height: calc(550px - 251px);
}
/* chat button */
.chat_us {
  position: fixed;
  bottom: 58px;
  right: 28px;
  background: #4dc247;
  border-radius: 35px;
  padding: 7px 14px;
}

.Whastapp_icon_button {
  height: 35px;
  width: 35px;
}

.chat_us :active {
  text-decoration: none;
  border: none !important;
}

#Chat_with_us {
  color: white;
}

.total_background {
  background-color: #0a5f54;
  border-radius: 15px;
}

.main_content {
  display: flex;
  justify-content: space-between;
  padding: 15px 25px;
  align-items: center;
  width: 100%;
}

.upper_part {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

#myForm {
  width: 350px;
  position: fixed;
  bottom: 58px;
  right: 28px;
  z-index: 95955959595;
}

.icon_user {
  margin-right: 10px;
}

.name_user {
  color: white;
  font-size: 17px;
  margin-bottom: -10px;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
}

.user_status {
  color: white;
  font-size: 12px;
}

.left_contain {
  display: flex;
  align-items: center;
}

.cancel_btn {
  cursor: pointer;
}

.fa_cancel_icon {
  color: white;
}

.fa_cancel_icon :hover {
  color: white;
  text-decoration: none;
}

/* middle part */
.middle_part {
  background-image: url("../images/whatsapp_back_img_chat_button_generator.jpg");
  height: auto;
}

.inner_background {
  padding: 20px 15px;
}

.white_text_area {
  background-color: white;
  padding: 8px 12px;
  border-radius: 10px;
  width: 70%;
}

.brand_name {
  color: grey;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
}

.Default_on_screen_mssgs {
  margin-top: -18px;
  color: black;
  font-size: 14px;
  line-height: 17px;
}

/* end middle part */

/* lower part */
.lower_part {
  background-color: white;
  padding: 11px 20px;
}

.start_chat_btn {
  color: white;
  padding: 3px 0px;
  text-align: center;
  background-color: #4dc247;
  border-color: #4dc247;
  border-radius: 10px;
  width: 100%;
}

.start_chat_btn:hover {
  color: white !important;
  background-color: #569153;
  border-color: #569153;
}
.generate_snippet {
  background: #4dc247;
  border-radius: 35px;
  padding: 7px 14px;
  color: white;
}
.generate_snippet :hover {
  background: #418b3e;
  color: white !important;
}

.country_name{
  border-radius: 30px !important;
}

.generate_button_select{
  border-radius: 30px !important;
}
.image_preview_android{
  height: 80vh;
  display: block;
  width: auto;
  margin: 0px 140px;
}

.image_preview_android{
  background-image: url('../images/apple_preview.jpg') ;
  height: 550px;
  width: 280px;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  display: block;
  margin: auto;
}

.number_preview_show {
  background-color: transparent;
  color: black;
  padding-top: 38px;
  text-align: left;
  padding-left: 48px;
}

.outer_mssg_content {
  overflow: hidden;
  height: 68%;
  margin: 34px 13px;
  border-radius: 10px;
}

.scrollable_message {
  overflow-y: auto; 
  max-height: 100%; 
  overflow-x: hidden;
  padding: 0 12px; 
}

.scrollable_message::-webkit-scrollbar {
  width: 4px; 
}

.scrollable_message::-webkit-scrollbar-track {
  background: #f1f1f1; 
}

.scrollable_message::-webkit-scrollbar-thumb {
  background: #33E2A0; 
  border-radius: 5px; 
}

.scrollable_message::-webkit-scrollbar-thumb:hover {
  background: #555; 
}

.show_text_message {
  width: 200px;
  background: none;
  text-align: left;
  padding: 7px 15px; 
  font-size: 12px;
  line-height: 22px;
  color: black;
  border-radius: 9px;
  overflow-x: hidden;
}

.with-text {
  background: white;
}

/* chat button over  */

/* Media Queries */

@media (min-width: 959px) {
  .back_margin {
    margin-left: 0px;
    padding: 25px;
    margin-right: 0px;
  }

  .jss11 {
    padding: 32px 32px 32px 0px;
  }
}

@media (max-width: 768px) {
  .back_ground_color_1 {
    border-radius: 14px;
    padding: 14px;
    background-color: rgb(248, 248, 248);
  }

}
